﻿@model HDY_20113_Jinatchapak.Models.Product

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>Product</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.category.CategoryName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.category.CategoryName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ProductName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ProductName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.QuantityPerUnit)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.QuantityPerUnit)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.UnitPrice)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.UnitPrice)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.UnitInStock)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.UnitInStock)
        </dd>





    </dl>
   
</div>
<div id="Img">

</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.ProductId }) |
    @Html.ActionLink("Back to List", "Index")
</p>


@section Scripts{
    <script>
        GetPage();

        function GetPage() {
            const url = '@Url.Action("DetailImg", "Products", new { id = Model.ProductId})';

            $.get(url).then((res) => {
                $('#Img').html(res);
            });
        }
    </script>
}